#!/bin/bash
export LD_LIBRARY_PATH=/opt/eObcanka/lib/openssl1.1:$LD_LIBRARY_PATH

##--------------------------------------------------------------
##Variables setting
##==============================================================
EMPTY_G_VALUE=''\'''\'''
GSETTINGS=/usr/bin/gsettings
GS_PROXY_MODE=$($GSETTINGS get org.gnome.system.proxy mode)
GS_PROXY_HTTP_HOST=$($GSETTINGS get org.gnome.system.proxy.http host)
GS_PROXY_HTTP_PORT=$($GSETTINGS get org.gnome.system.proxy.http port)
GS_PROXY_HTTP_USER=$($GSETTINGS get org.gnome.system.proxy.http authentication-user)
GS_PROXY_HTTP_PASSWORD=$($GSETTINGS get org.gnome.system.proxy.http authentication-password)
GS_PROXY_IGNORE_HOSTS=$($GSETTINGS get org.gnome.system.proxy ignore-hosts)

##----------------------------------------------------------------

function proxySetting() {
  if [ ! -e $GSETTINGS ] ; then
      "$GSETTINGS not exists in specified path. Proxy setting not read!!!"
      exit 1
  fi

  if [ -z $http_proxy ] && [ $GS_PROXY_MODE = \'manual\' ] ; then
	if [ $GS_PROXY_HTTP_USER != $EMPTY_G_VALUE ] ; then
	    export http_proxy=http://$GS_PROXY_HTTP_USER:$GS_PROXY_HTTP_PASSWORD@${GS_PROXY_HTTP_HOST//\'/}:$GS_PROXY_HTTP_PORT
	else
	    export http_proxy=http://${GS_PROXY_HTTP_HOST//\'/}:$GS_PROXY_HTTP_PORT
	fi
	export https_proxy=$http_proxy
	export no_proxy=$GS_PROXY_IGNORE_HOSTS
  fi
}

proxySetting
/opt/eObcanka/Identifikace/eopauthapp $1
